Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

hyper library is no longer maintained #28784

Open
foolip opened this issue May 3, 2021 · 1 comment
Open

hyper library is no longer maintained #28784

foolip opened this issue May 3, 2021 · 1 comment

Comments

@foolip
Copy link
Member

@foolip foolip commented May 3, 2021

https://github.com/python-hyper/hyper is archived:

This project is no longer maintained!

Please use an alternative, such as HTTPX or others.

We will not publish further updates for hyper.

Potential security issues will not be addressed.

It looks like we only use it one single place:

from hyper import HTTP20Connection, tls

Noticed because hyper 0.7.0 requires a version of h2 incompatible with what we're already using:
https://github.com/python-hyper/hyper/blob/b77e758f472f00b098481e3aa8651b0808524d84/setup.py#L80

This isn't a problem as long as we keep a copy of hyper in tools/third_party/, but I noticed it when experimenting with pipenv.

@foolip foolip added the infra label May 3, 2021
@foolip
Copy link
Member Author

@foolip foolip commented May 3, 2021

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
1 participant